Create a dropdown menu in Rhino

Hi all,

I’m working on a script that creates several parallel planes in different positions. What I would like to do is to create a dropdown list that ask me the positions where I want to create the planes. I mean, a dropdown list (or something similar) where I could introduce all the positions of the several parallel planes I want to make, and then the script could read from this list and create all the planes at once.
Do you know how could I make this? Thank you a lot

Charly

Hi Charly,

One way to do it could be the EditListBox UI method, see a sample below:

    Dim arrItems, arrResults, strItem
    	arrItems = Array("0", "10", "20")
    	arrResults = Rhino.EditListbox(arrItems, "Add, remove, or edit point Z positions", "Edit Items")
    	If IsArray(arrResults) Then
    		For Each strItem in arrResults
    			Call Rhino.AddTextDot(Cstr(strItem), array(0, 0, Cdbl(strItem)))
    		Next
    	End If